﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Advantest R6871E (180 days) DCV VER IEEE /5700
INSTRUMENT:            Sub Advantest R6871E (180 days) 4W Res VER IEEE /5700
DATE:                  2017-02-06 11:14:26
AUTHOR:                Fluke
REVISION:              $Revision: 18164 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       20
NUMBER OF LINES:       682
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Procedure Author:  VY
#
#  Model Covered:     R6871E, R6871E-DC, R6871E-OHM
#
#  Compatibility:     MET/CAL 7.11 SP1 (7.11j) or later
#
#  Subprocedures:     None
#
#  Required Files:
#        5700_5725_r6871e_vza_5w.bmp :
#             5700A to R6871E, Output to Input with Sense and Aux Current
#        5700_r6871e_z_2w_4w.bmp
#             5700A to R6871E 2 wire to 4 wire resistance
#        5700_r6871e_dc_vz_4w.bmp :
#             5700A to R6871E-DC, R6871E-OHM Output to Input with Sense
#        5700_r6871e_dc_z_2w_4w.bmp :
#             5700A to R6871E-DC, R6871E-OHM 2 wire to 4 wire resistance
#
#  Additional Equipment Required:  None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#                                  NOTE
# The IF statements used throughout this procedure to check for errors after
# the call to "Sub Advantest R6871E Send Command IEEE" and "Sub Advantest
#  R6871E Get Reading IEEE" must remain at the same procedure level
# as the TARGET statements. DO NOT move these statements to a subprocedure
# even though they seem redundant. Doing so WILL cause the "Repeat" option
# in post test NOT to work properly.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DC_VOLTAGE                PSUBI("DCV")
  1.002  JMPL         4WIRE_RESISTANCE          PSUBI("4W Res")
  1.003  DISP         Advantest R6871E:  Subprocedure not found!
  1.004  END

  1.005  EVAL   dummy

# ========== Sub Advantest R6871E (180 days) DCV VER IEEE /5700 =============

  2.001  LABEL        DC_VOLTAGE
  2.002  RSLT         =
  2.003  RSLT         =DC VOLTAGE TESTS
  2.004  RSLT         =
  2.005  HEAD         DC VOLTAGE TESTS:{ 200 mV Range}
  2.006  TARGET       -p

  2.007  IF           ZCMPI(GET("Model_Num"), "R6871E")
  2.008  PIC          5700_5725_R6871E_VZA_5W

  2.009  ELSE
  2.010  PIC          5700_R6871E_DC_VZ_4W
  2.011  ENDIF

  2.012  MATH         PUT("Cmd_Str", "F1R3RE7IT4")
  2.013  CALL         Sub Advantest R6871E Send Command IEEE

  2.014  IF           GET("Error")
  2.015  MATH         MEM2 = GET("Err_Msg")
  2.016  DISP         [MEM2]
  2.016  DISP
  2.016  DISP         Select "Advance" to proceed.
  2.016  DISP
  2.016  DISP         Select "Terminate" to repeat or abort the procedure.
  2.017  ENDIF

  2.018  5700         0.00000mV                                         S  2W
  2.019  WAIT         -t 3 System Settling ...
  2.020  TARGET       -m
  2.021  CALL         Sub Advantest R6871E Get Reading IEEE

  2.022  IF           GET("Error")
  2.023  MATH         MEM2 = GET("Err_Msg")
  2.024  DISP         [MEM2]
  2.024  DISP
  2.024  DISP         Select "Advance" to proceed.
  2.024  DISP
  2.024  DISP         Select "Terminate" to repeat or abort the procedure.
  2.025  ENDIF

  2.026  MATH         MEM = MEM / 1e-3
  2.027  MEMCX  200   0.00000mV      .005% .00350U

  3.001  5700         190.00000mV                                       S  2W
  3.002  WAIT         -t 3 System Settling ...
  3.003  TARGET       -m
  3.004  CALL         Sub Advantest R6871E Get Reading IEEE

  3.005  IF           GET("Error")
  3.006  MATH         MEM2 = GET("Err_Msg")
  3.007  DISP         [MEM2]
  3.007  DISP
  3.007  DISP         Select "Advance" to proceed.
  3.007  DISP
  3.007  DISP         Select "Terminate" to repeat or abort the procedure.
  3.008  ENDIF

  3.009  MATH         MEM = MEM / 1e-3
  3.010  MEMCX  200   190.00000mV    .005% .00350U

  4.001  RSLT         =
  4.002  HEAD         DC VOLTAGE TESTS:{ 2000 mV Range}
  4.003  TARGET       -p
  4.004  MATH         PUT("Cmd_Str", "F1R4")
  4.005  CALL         Sub Advantest R6871E Send Command IEEE

  4.006  IF           GET("Error")
  4.007  MATH         MEM2 = GET("Err_Msg")
  4.008  DISP         [MEM2]
  4.008  DISP
  4.008  DISP         Select "Advance" to proceed.
  4.008  DISP
  4.008  DISP         Select "Terminate" to repeat or abort the procedure.
  4.009  ENDIF

  4.010  5700         0.0000mV                                          S  2W
  4.011  WAIT         -t 3 System Settling ...
  4.012  TARGET       -m
  4.013  CALL         Sub Advantest R6871E Get Reading IEEE

  4.014  IF           GET("Error")
  4.015  MATH         MEM2 = GET("Err_Msg")
  4.016  DISP         [MEM2]
  4.016  DISP
  4.016  DISP         Select "Advance" to proceed.
  4.016  DISP
  4.016  DISP         Select "Terminate" to repeat or abort the procedure.
  4.017  ENDIF

  4.018  MATH         MEM = MEM / 1e-3
  4.019  MEMCX  2000  0.0000mV       .004% .0060U

  5.001  5700         1900.0000mV                                       S  2W
  5.002  WAIT         -t 3 System Settling ...
  5.003  TARGET       -m
  5.004  CALL         Sub Advantest R6871E Get Reading IEEE

  5.005  IF           GET("Error")
  5.006  MATH         MEM2 = GET("Err_Msg")
  5.007  DISP         [MEM2]
  5.007  DISP
  5.007  DISP         Select "Advance" to proceed.
  5.007  DISP
  5.007  DISP         Select "Terminate" to repeat or abort the procedure.
  5.008  ENDIF

  5.009  MATH         MEM = MEM / 1e-3
  5.010  MEMCX  2000  1900.0000mV    .004% .0060U

  6.001  RSLT         =
  6.002  HEAD         DC VOLTAGE TESTS:{ 20 V Range}
  6.003  TARGET       -p
  6.004  MATH         PUT("Cmd_Str", "F1R5")
  6.005  CALL         Sub Advantest R6871E Send Command IEEE

  6.006  IF           GET("Error")
  6.007  MATH         MEM2 = GET("Err_Msg")
  6.008  DISP         [MEM2]
  6.008  DISP
  6.008  DISP         Select "Advance" to proceed.
  6.008  DISP
  6.008  DISP         Select "Terminate" to repeat or abort the procedure.
  6.009  ENDIF

  6.010  5700         19.000000V                                        S  2W
  6.011  WAIT         -t 3 System Settling ...
  6.012  TARGET       -m
  6.013  CALL         Sub Advantest R6871E Get Reading IEEE

  6.014  IF           GET("Error")
  6.015  MATH         MEM2 = GET("Err_Msg")
  6.016  DISP         [MEM2]
  6.016  DISP
  6.016  DISP         Select "Advance" to proceed.
  6.016  DISP
  6.016  DISP         Select "Terminate" to repeat or abort the procedure.
  6.017  ENDIF

  6.018  TOL          0.0037% 0.000040U
  6.019  MEMCX  20    19.000000V     TOL

  7.001  RSLT         =
  7.002  HEAD         DC VOLTAGE TESTS:{ 200 V Range}
  7.003  TARGET       -p
  7.004  MATH         PUT("Cmd_Str", "F1R6")
  7.005  CALL         Sub Advantest R6871E Send Command IEEE

  7.006  IF           GET("Error")
  7.007  MATH         MEM2 = GET("Err_Msg")
  7.008  DISP         [MEM2]
  7.008  DISP
  7.008  DISP         Select "Advance" to proceed.
  7.008  DISP
  7.008  DISP         Select "Terminate" to repeat or abort the procedure.
  7.009  ENDIF

  7.010  5700         190.00000V                                        S  2W
  7.011  WAIT         -t 3 System Settling ...
  7.012  TARGET       -m
  7.013  CALL         Sub Advantest R6871E Get Reading IEEE

  7.014  IF           GET("Error")
  7.015  MATH         MEM2 = GET("Err_Msg")
  7.016  DISP         [MEM2]
  7.016  DISP
  7.016  DISP         Select "Advance" to proceed.
  7.016  DISP
  7.016  DISP         Select "Terminate" to repeat or abort the procedure.
  7.017  ENDIF

  7.018  MEMCX  200   190.00000V     .004% .00060U

  8.001  RSLT         =
  8.002  HEAD         DC VOLTAGE TESTS:{ 1000 V Range}
  8.003  TARGET       -p
# Set the sample interval to 500ms in order to avoid the error 10 occur.
  8.004  MATH         PUT("Cmd_Str", "F1R7SI500")
  8.005  CALL         Sub Advantest R6871E Send Command IEEE

  8.006  IF           GET("Error")
  8.007  MATH         MEM2 = GET("Err_Msg")
  8.008  DISP         [MEM2]
  8.008  DISP
  8.008  DISP         Select "Advance" to proceed.
  8.008  DISP
  8.008  DISP         Select "Terminate" to repeat or abort the procedure.
  8.009  ENDIF

  8.010  5700         990.0000V                                         S  2W
  8.011  WAIT         -t 5 System Settling ...
  8.012  TARGET       -m
  8.013  CALL         Sub Advantest R6871E Get Reading IEEE

  8.014  IF           GET("Error")
  8.015  MATH         MEM2 = GET("Err_Msg")
  8.016  DISP         [MEM2]
  8.016  DISP
  8.016  DISP         Select "Advance" to proceed.
  8.016  DISP
  8.016  DISP         Select "Terminate" to repeat or abort the procedure.
  8.017  ENDIF

  8.018  MEMCX  1000  990.0000V      .004% .0030U

# Restore the sample interval to 250ms.
  9.001  MATH         PUT("Cmd_Str", "SI250")
  9.002  CALL         Sub Advantest R6871E Send Command IEEE

  9.003  IF           GET("Error")
  9.004  MATH         MEM2 = GET("Err_Msg")
  9.005  DISP         [MEM2]
  9.005  DISP
  9.005  DISP         Select "Advance" to proceed.
  9.005  DISP
  9.005  DISP         Select "Terminate" to repeat or abort the procedure.
  9.006  ENDIF

  9.007  5700         *                                                 S
  9.008  END

  9.009  EVAL   dummy

# ========== Sub Advantest R6871E (180 days) 4W Res VER IEEE /5700 ==========

 10.001  LABEL        4WIRE_RESISTANCE
 10.002  RSLT         =
 10.003  RSLT         =4 WIRES RESISTANCE TESTS
 10.004  RSLT         =
 10.005  HEAD         4 WIRES RESISTANCE TESTS:{ 10 Ohm Range}
 10.006  TARGET       -p
# Turn on the 10 times of smoothing function in order to achieve the
# measurement accuracy of 7 1/2 digit display.
 10.007  MATH         PUT("Cmd_Str", "F4R2RE7IT4SM1TI10")
 10.008  CALL         Sub Advantest R6871E Send Command IEEE

 10.009  IF           GET("Error")
 10.010  MATH         MEM2 = GET("Err_Msg")
 10.011  DISP         [MEM2]
 10.011  DISP
 10.011  DISP         Select "Advance" to proceed.
 10.011  DISP
 10.011  DISP         Select "Terminate" to repeat or abort the procedure.
 10.012  ENDIF

 10.013  5700         10.000000Z                                        S  4W
 10.014  WAIT         -t 6 System Settling ...
 10.015  TARGET       -m
 10.016  MATH         L[1] = 0

 10.017  DO
 10.018  CALL         Sub Advantest R6871E Get Reading IEEE

 10.019  IF           GET("Error")
 10.020  MATH         MEM2 = GET("Err_Msg")
 10.021  DISP         [MEM2]
 10.021  DISP
 10.021  DISP         Select "Advance" to proceed.
 10.021  DISP
 10.021  DISP         Select "Terminate" to repeat or abort the procedure.
 10.022  ENDIF

 10.023  MATH         L[1] = L[1] + 1
 10.024  UNTIL        L[1] > 10

 10.025  TOL          0.006% 0.000040U
 10.026  MEMCX  10    10.000000Z     TOL

 11.001  RSLT         =
 11.002  HEAD         4 WIRES RESISTANCE TESTS:{ 100 Ohm Range}
 11.003  TARGET       -p
 11.004  MATH         PUT("Cmd_Str", "F4R3S1")
 11.005  CALL         Sub Advantest R6871E Send Command IEEE

 11.006  IF           GET("Error")
 11.007  MATH         MEM2 = GET("Err_Msg")
 11.008  DISP         [MEM2]
 11.008  DISP
 11.008  DISP         Select "Advance" to proceed.
 11.008  DISP
 11.008  DISP         Select "Terminate" to repeat or abort the procedure.
 11.009  ENDIF

 11.010  5700         0.00000Z                                          S  4W
 11.011  WAIT         -t 6 System Settling ...
 11.012  TARGET       -m
 11.013  MATH         L[1] = 0

 11.014  DO
 11.015  CALL         Sub Advantest R6871E Get Reading IEEE

 11.016  IF           GET("Error")
 11.017  MATH         MEM2 = GET("Err_Msg")
 11.018  DISP         [MEM2]
 11.018  DISP
 11.018  DISP         Select "Advance" to proceed.
 11.018  DISP
 11.018  DISP         Select "Terminate" to repeat or abort the procedure.
 11.019  ENDIF

 11.020  MATH         L[1] = L[1] + 1
 11.021  UNTIL        L[1] > 10

 11.022  MEMCX  100   0.00000Z       .006% .00040U

 12.001  5700         100.00000Z                                        S  4W
 12.002  WAIT         -t 6 System Settling ...
 12.003  TARGET       -m
 12.004  MATH         L[1] = 0

 12.005  DO
 12.006  CALL         Sub Advantest R6871E Get Reading IEEE

 12.007  IF           GET("Error")
 12.008  MATH         MEM2 = GET("Err_Msg")
 12.009  DISP         [MEM2]
 12.009  DISP
 12.009  DISP         Select "Advance" to proceed.
 12.009  DISP
 12.009  DISP         Select "Terminate" to repeat or abort the procedure.
 12.010  ENDIF

 12.011  MATH         L[1] = L[1] + 1
 12.012  UNTIL        L[1] > 10

 12.013  MEMCX  100   100.00000Z     .006% .00040U

 13.001  RSLT         =
 13.002  HEAD         4 WIRES RESISTANCE TESTS:{ 1000 Ohm Range}
 13.003  TARGET       -p
 13.004  MATH         PUT("Cmd_Str", "F4R4")
 13.005  CALL         Sub Advantest R6871E Send Command IEEE

 13.006  IF           GET("Error")
 13.007  MATH         MEM2 = GET("Err_Msg")
 13.008  DISP         [MEM2]
 13.008  DISP
 13.008  DISP         Select "Advance" to proceed.
 13.008  DISP
 13.008  DISP         Select "Terminate" to repeat or abort the procedure.
 13.009  ENDIF

 13.010  5700         1000.0000Z                                        S  4W
 13.011  WAIT         -t 6 System Settling ...
 13.012  TARGET       -m
 13.013  MATH         L[1] = 0

 13.014  DO
 13.015  CALL         Sub Advantest R6871E Get Reading IEEE

 13.016  IF           GET("Error")
 13.017  MATH         MEM2 = GET("Err_Msg")
 13.018  DISP         [MEM2]
 13.018  DISP
 13.018  DISP         Select "Advance" to proceed.
 13.018  DISP
 13.018  DISP         Select "Terminate" to repeat or abort the procedure.
 13.019  ENDIF

 13.020  MATH         L[1] = L[1] + 1
 13.021  UNTIL        L[1] > 10

 13.022  MEMCX  1000  1000.0000Z     .006% .00025U

 14.001  RSLT         =
 14.002  HEAD         4 WIRES RESISTANCE TESTS:{ 10 kOhm Range}
 14.003  TARGET       -p
 14.004  MATH         PUT("Cmd_Str", "F4R5")
 14.005  CALL         Sub Advantest R6871E Send Command IEEE

 14.006  IF           GET("Error")
 14.007  MATH         MEM2 = GET("Err_Msg")
 14.008  DISP         [MEM2]
 14.008  DISP
 14.008  DISP         Select "Advance" to proceed.
 14.008  DISP
 14.008  DISP         Select "Terminate" to repeat or abort the procedure.
 14.009  ENDIF

 14.010  5700         10.000000kZ                                       S  4W
 14.011  WAIT         -t 6 System Settling ...
 14.012  TARGET       -m
 14.013  MATH         L[1] = 0

 14.014  DO
 14.015  CALL         Sub Advantest R6871E Get Reading IEEE

 14.016  IF           GET("Error")
 14.017  MATH         MEM2 = GET("Err_Msg")
 14.018  DISP         [MEM2]
 14.018  DISP
 14.018  DISP         Select "Advance" to proceed.
 14.018  DISP
 14.018  DISP         Select "Terminate" to repeat or abort the procedure.
 14.019  ENDIF

 14.020  MATH         L[1] = L[1] + 1
 14.021  UNTIL        L[1] > 10

 14.022  MATH         MEM = MEM / 1E+3
 14.023  TOL          0.006% 0.000025U
 14.024  MEMCX  10    10.000000kZ    TOL

 15.001  RSLT         =
 15.002  HEAD         4 WIRES RESISTANCE TESTS:{ 100 kOhm Range}
 15.003  TARGET       -p
 15.004  MATH         PUT("Cmd_Str", "F4R6")
 15.005  CALL         Sub Advantest R6871E Send Command IEEE

 15.006  IF           GET("Error")
 15.007  MATH         MEM2 = GET("Err_Msg")
 15.008  DISP         [MEM2]
 15.008  DISP
 15.008  DISP         Select "Advance" to proceed.
 15.008  DISP
 15.008  DISP         Select "Terminate" to repeat or abort the procedure.
 15.009  ENDIF

 15.010  5700         100.00000kZ                                       S  4W
 15.011  WAIT         -t 6 System Settling ...
 15.012  TARGET       -m
 15.013  MATH         L[1] = 0

 15.014  DO
 15.015  CALL         Sub Advantest R6871E Get Reading IEEE

 15.016  IF           GET("Error")
 15.017  MATH         MEM2 = GET("Err_Msg")
 15.018  DISP         [MEM2]
 15.018  DISP
 15.018  DISP         Select "Advance" to proceed.
 15.018  DISP
 15.018  DISP         Select "Terminate" to repeat or abort the procedure.
 15.019  ENDIF

 15.020  MATH         L[1] = L[1] + 1
 15.021  UNTIL        L[1] > 10

 15.022  MATH         MEM = MEM / 1E+3
 15.023  MEMCX  100   100.00000kZ    .006% .00025U

 16.001  RSLT         =
 16.002  HEAD         4 WIRES RESISTANCE TESTS:{ 1000 kOhm Range}
 16.003  TARGET       -p
 16.004  MATH         PUT("Cmd_Str", "F4R7")
 16.005  CALL         Sub Advantest R6871E Send Command IEEE

 16.006  IF           GET("Error")
 16.007  MATH         MEM2 = GET("Err_Msg")
 16.008  DISP         [MEM2]
 16.008  DISP
 16.008  DISP         Select "Advance" to proceed.
 16.008  DISP
 16.008  DISP         Select "Terminate" to repeat or abort the procedure.
 16.009  ENDIF

 16.010  5700         1000.0000kZ                                       S  4W
 16.011  WAIT         -t 6 System Settling ...
 16.012  TARGET       -m
 16.013  MATH         L[1] = 0

 16.014  DO
 16.015  CALL         Sub Advantest R6871E Get Reading IEEE

 16.016  IF           GET("Error")
 16.017  MATH         MEM2 = GET("Err_Msg")
 16.018  DISP         [MEM2]
 16.018  DISP
 16.018  DISP         Select "Advance" to proceed.
 16.018  DISP
 16.018  DISP         Select "Terminate" to repeat or abort the procedure.
 16.019  ENDIF

 16.020  MATH         L[1] = L[1] + 1
 16.021  UNTIL        L[1] > 10

 16.022  MATH         MEM = MEM / 1E+3
 16.023  MEMCX  1000  1000.0000kZ    .007% .0025U

 17.001  RSLT         =
 17.002  HEAD         4 WIRES RESISTANCE TESTS:{ 10 MOhm Range}
 17.003  TARGET       -p
 17.004  MATH         PUT("Cmd_Str", "F4R8")
 17.005  CALL         Sub Advantest R6871E Send Command IEEE

 17.006  IF           GET("Error")
 17.007  MATH         MEM2 = GET("Err_Msg")
 17.008  DISP         [MEM2]
 17.008  DISP
 17.008  DISP         Select "Advance" to proceed.
 17.008  DISP
 17.008  DISP         Select "Terminate" to repeat or abort the procedure.
 17.009  ENDIF

 17.010  5700         10.000000MZ                                       S  4W
 17.011  WAIT         -t 6 System Settling ...
 17.012  TARGET       -m
 17.013  MATH         L[1] = 0

 17.014  DO
 17.015  CALL         Sub Advantest R6871E Get Reading IEEE

 17.016  IF           GET("Error")
 17.017  MATH         MEM2 = GET("Err_Msg")
 17.018  DISP         [MEM2]
 17.018  DISP
 17.018  DISP         Select "Advance" to proceed.
 17.018  DISP
 17.018  DISP         Select "Terminate" to repeat or abort the procedure.
 17.019  ENDIF

 17.020  MATH         L[1] = L[1] + 1
 17.021  UNTIL        L[1] > 10

 17.022  MATH         MEM = MEM / 1E+6
 17.023  MEMCX  10    10.000000MZ    .03% .000025U

 18.001  RSLT         =
 18.002  HEAD         4 WIRES RESISTANCE TESTS:{ 100 MOhm Range}
 18.003  TARGET       -p

 18.004  IF           ZCMPI(GET("Model_Num"), "R6871E")
 18.005  PIC          5700_R6871E_Z_2W_4W

 18.006  ELSE
 18.007  PIC          5700_R6871E_DC_Z_2W_4W
 18.008  ENDIF

 18.009  MATH         PUT("Cmd_Str", "F4R9")
 18.010  CALL         Sub Advantest R6871E Send Command IEEE

 18.011  IF           GET("Error")
 18.012  MATH         MEM2 = GET("Err_Msg")
 18.013  DISP         [MEM2]
 18.013  DISP
 18.013  DISP         Select "Advance" to proceed.
 18.013  DISP
 18.013  DISP         Select "Terminate" to repeat or abort the procedure.
 18.014  ENDIF

 18.015  5700         100.00000MZ                                       S  2W
 18.016  WAIT         -t 6 System Settling ...
 18.017  TARGET       -m
 18.018  MATH         L[1] = 0

 18.019  DO
 18.020  CALL         Sub Advantest R6871E Get Reading IEEE

 18.021  IF           GET("Error")
 18.022  MATH         MEM2 = GET("Err_Msg")
 18.023  DISP         [MEM2]
 18.023  DISP
 18.023  DISP         Select "Advance" to proceed.
 18.023  DISP
 18.023  DISP         Select "Terminate" to repeat or abort the procedure.
 18.024  ENDIF

 18.025  MATH         L[1] = L[1] + 1
 18.026  UNTIL        L[1] > 10

 18.027  MATH         MEM = MEM / 1E+6
 18.028  MEMCX  100   100.00000MZ    .21% .00025U

 19.001  RSLT         =
 19.002  HEAD         4 WIRES RESISTANCE TESTS:{ 1000 MOhm Range}
 19.003  TARGET       -p
 19.004  MATH         PUT("Cmd_Str", "F4R1")
 19.005  CALL         Sub Advantest R6871E Send Command IEEE

 19.006  IF           GET("Error")
 19.007  MATH         MEM2 = GET("Err_Msg")
 19.008  DISP         [MEM2]
 19.008  DISP
 19.008  DISP         Select "Advance" to proceed.
 19.008  DISP
 19.008  DISP         Select "Terminate" to repeat or abort the procedure.
 19.009  ENDIF

 19.010  5700         100.00000MZ                                       S  2W
 19.011  WAIT         -t 6 System Settling ...
 19.012  TARGET       -m
 19.013  MATH         L[1] = 0

 19.014  DO
 19.015  CALL         Sub Advantest R6871E Get Reading IEEE

 19.016  IF           GET("Error")
 19.017  MATH         MEM2 = GET("Err_Msg")
 19.018  DISP         [MEM2]
 19.018  DISP
 19.018  DISP         Select "Advance" to proceed.
 19.018  DISP
 19.018  DISP         Select "Terminate" to repeat or abort the procedure.
 19.019  ENDIF

 19.020  MATH         L[1] = L[1] + 1
 19.021  UNTIL        L[1] > 10

 19.022  MATH         MEM = MEM / 1E+6
 19.023  MEMCX  1000  100.0000MZ     2.1% 0.0025U

# Turn off 10 times of the smoothing function and initialize the trigger
# delay time.
 20.001  MATH         PUT("Cmd_Str", "SM0TD0")
 20.002  CALL         Sub Advantest R6871E Send Command IEEE

 20.003  IF           GET("Error")
 20.004  MATH         MEM2 = GET("Err_Msg")
 20.005  DISP         [MEM2]
 20.005  DISP
 20.005  DISP         Select "Advance" to proceed.
 20.005  DISP
 20.005  DISP         Select "Terminate" to repeat or abort the procedure.
 20.006  ENDIF

 20.007  5700         *                                                 S
 20.008  END
